Calculate returns for a plan within a date range Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/plans/{plan_uuid}/returns

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required

Query parameters

  • filter[date_from] string

    Date to filter the start of the calculations.

  • filter[date_to] string

    Date to filter the start of the calculations.

  • includePlan boolean

    Include plan data with valuations and transactions.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • calculated_at string
      • initial_valuation_at string
      • first_valuation_within_date_range string
      • time_weighted_return object
        Hide time_weighted_return attributes Show time_weighted_return attributes object
        • value number
        • growth_value number
        • status string
        • reason string | null
      • time_weighted_return.value number
      • time_weighted_return.growth_value number
      • time_weighted_return.status string
      • money_weighted_return object
        Hide money_weighted_return attributes Show money_weighted_return attributes object
        • value number
        • status string
        • reason string | null
      • money_weighted_return.value number
      • money_weighted_return.status string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v2/plans/{plan_uuid}/returns
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/returns' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "calculated_at": "2026-08-11T10:38:40+01:00",
        "initial_valuation_at": "2026-08-11T10:38:40+01:00",
        "first_valuation_within_date_range": "2026-08-11T10:38:40+01:00",
        "time_weighted_return": {
          "value": 0.21,
          "growth_value": 0.19,
          "status": "success",
          "reason": null
        },
        "time_weighted_return.value": 0.21,
        "time_weighted_return.growth_value": 0.19,
        "time_weighted_return.status": "success",
        "money_weighted_return": {
          "value": 0.18,
          "status": "success",
          "reason": null
        },
        "money_weighted_return.value": 0.18,
        "money_weighted_return.status": "success"
      }
    ]
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}